package internal

import (
	"regexp"
)

// vinLengthAndCharacterExpression validates a VIN that it has a valid length
// and no illegal characters.
var vinLengthAndCharacterExpression = regexp.MustCompile("^[A-HJ-NPR-Z0-9]{17}$")

func IsValidVin(str string) bool {
	return vinLengthAndCharacterExpression.MatchString(str)
}
